[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DragDrop

Signals the OnDragDrop handler when a dragged object is dropped onto this control.

## Declaration

Source position: controls.pp line 1610

`public procedure TControl.DragDrop(`
`Source: TObject;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`Source` |  | The dropped object (control or DragDrop object).
`X` |  | The drop position in client coordinates.
`Y` |  | The drop position in client coordinates.

## See also

TControl.OnDragDrop |  | Event handler signalled when an object is dropped onto the control.